{% extends "templates/web.html" %}

{%- block head_include %}
<link rel="stylesheet" href="/assets/css/website-calendar.min.css">
{% endblock -%}

{% block title %} {{ title }} {% endblock %}

{% block breadcrumbs %}
<div class="item-breadcrumbs small text-muted">
	{% include "templates/includes/breadcrumbs.html" %}
</div>
{% endblock %}

{% block page_content %}
<div class="product-container">
	{% from "erpnext/templates/includes/macros.html" import product_image %}
	<div class="item-content">
		<div class="product-page-content mb-5" itemscope itemtype="http://schema.org/Product">
			{% if show_calendar %}
			<div id="item-booking">
				<div class="calendar-card"></div>
				<div class="calendar-sidebar"></div>
			</div>
			{% else %}
			<div class="row mb-5 item-website-description">
				{% include "templates/generators/item/item_image.html" %}
				{% include "templates/generators/item/item_details.html" %}
			</div>

			{% include "templates/generators/item/item_specifications.html" %}

			<div class="row item-website-content mt-5">
				{{ doc.website_content or '' }}
			</div>
			{% endif %}
		</div>
	</div>
</div>
{% endblock %}

{% block style %}
<style>
	.item-website-description h1 {
		margin: 2rem 0;
	}

	#item-booking {
		width: 100%;
		display: flex;
		opacity: 0;
		transition: opacity 1.5s;
	}

	#item-booking.fade {
		opacity: 1;
		transition: opacity 1.5s;
	}

	.calendar-card {
		width: 100%;
		padding: 15px;
	}

	.calendar-sidebar {
		margin-left: 15px;
		z-index: 1;
		min-width: 10rem;
	}

	.formatted-price {
		padding-top: 15px;
		white-space: nowrap;
	}

	.sidebar-section {
		margin: 15px 0;
		padding: 0 0 0 15px;
		border-left: 1px solid #6cd5e1;
	}

	.sidebar-button {
		padding: 0 0 0 15px;
	}

	.sidebar-section .checkbox {
		white-space: nowrap;
	}

	.sidebar-section .remove-slot {
		cursor: pointer;
	}

	.sidebar-card input[type="checkbox"],
	.sidebar-card label span {
		cursor: pointer;
	}

	.calendar-sidebar .form-group,
	.calendar-sidebar .help-box,
	.calendar-sidebar .label {
		margin-bottom: 0;
	}

	#alternative-item {
		margin-top: 2rem;
	}

	.fc .fc-closeButton-button {
		color: #6cd5e1;
		border-color: #6cd5e1;
	}

	.fc .fc-closeButton-button:hover {
		background-color: #ffd98e;
		border-color: #ffd98e;
		color: #6cd5e1;
	}

	@media (max-width: 768px) {
		#item-booking {
			display: inline-block;
		}

		.sidebar-card {
			display: flex;
		}

		.sidebar-section {
			border: none;
			width: 100%;
		}
	}
</style>
{% endblock %}

{% block script %}
<script>
{% if show_calendar %}
frappe.ready(() => {
	new erpnext.booking_dialog({
		parentId: 'item-booking',
		item: "{{ doc.name }}"
	})
})
{% endif %}
</script>
{% endblock %}

{% block base_scripts %}
<!-- js should be loaded in body! -->
<script type="text/javascript" src="/assets/frappe/js/lib/jquery/jquery.min.js"></script>
<script type="text/javascript" src="/assets/js/frappe-web.min.js"></script>
<script type="text/javascript" src="/assets/js/control.min.js"></script>
<script type="text/javascript" src="/assets/js/dialog.min.js"></script>
<script type="text/javascript" src="/assets/js/bootstrap-4-web.min.js"></script>
{% endblock %}
